import { HttpClient } from "@angular/common/http";
import {Observable} from "rxjs/Rx";
import { Injectable } from '@angular/core';
import {SERVER_API_URL, SERVER_API_URL_COMS} from '../app.constants';

@Injectable()
export class LayoutService {

    constructor(private http: HttpClient) {
    }

    getMenu(): Observable<any>{
        return this.http.get(SERVER_API_URL_COMS + '/resources/getMenu');
    }

    getAllMenu(): Observable<any>{
        return this.http.get(SERVER_API_URL_COMS  + "/resources/getAll");
    }

}
